Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.util
Class OsInfo

    java.lang.Object
      org.flexdock.util.OsInfo

    public class OsInfo

extends Object

Author:
  Christopher Butler

Constructor Summary
`OsInfo()`
`OsInfo(Properties systemProps)`

Method Summary
`String` | `getArch()`
`static OsInfo` | `getInstance()`
`String` | `getLibraryKey()`
`List` | `getLibraryKeys()`
`List` | `getOsNames()`
`String` | `getPrefixLibraryKey()`
`List` | `getPrefixLibraryKeys()`
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OsInfo

    public OsInfo()

### OsInfo

    public OsInfo(Properties systemProps)

Method Detail

### getInstance

    public static OsInfo getInstance()

### getArch

    public String getArch()

  Returns:
    Returns the osArch.

### getLibraryKeys

    public List getLibraryKeys()

  Returns:
    Returns the osLibraryList.

### getPrefixLibraryKeys

    public List getPrefixLibraryKeys()

  Returns:
    Returns the prefixOsLibraryList.

### getOsNames

    public List getOsNames()

  Returns:
    Returns the osNameList.

### getLibraryKey

    public String getLibraryKey()

### getPrefixLibraryKey

    public String getPrefixLibraryKey()

### main

    public static void main(String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD